#
# spec file for package babelstone-han-fonts
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           babelstone-han-fonts
Version:        16.0.2
Release:        1.1
Summary:        BabelStone font for Han Script
License:        Arphic-1999
Group:          System/X11/Fonts
URL:            http://www.babelstone.co.uk/Fonts/
Source0:        http://babelstone.co.uk/Fonts/Download/BabelStoneHan.zip
Source1:        LICENSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
BabelStone Han is a dual-width Unicode Han font in Song/Ming style
with G-source glyphs used in the People's Republic of China.

%prep
%autosetup -c -T -a0

%build
cp -a %{SOURCE1} .

%install
install -Dm 0644 -t %{buildroot}%{_ttfontsdir}/ *.ttf

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%license LICENSE
%dir %{_ttfontsdir}
%{_ttfontsdir}/BabelStoneHan.ttf

%changelog
* Mon Oct 21 2024 Gordon Leung <pirateclip@protonmail.com>
- Update to 16.0.2
  * 1,265 additional CJK unified ideographs
  * 150 glyph corrections and improvements
* Sun Mar 24 2024 Gordon Leung <pirateclip@protonmail.com>
- Update to 15.1.4
  * 463 additional CJK unified ideographs
  * 17 glyph corrections and improvements
* Sat Jan  6 2024 Gordon Leung <pirateclip@protonmail.com>
- Update to 15.1.3
  * 1,176 additional CJK unified ideographs
  * Due to the font limit of 65,535 glyphs,
  all PUA characters in the range E080 through F8DF have been removed,
  and are now only available in the BabelStone Han PUA font
  * 56 glyph corrections and improvements
* Fri Nov 10 2023 Gordon Leung <pirateclip@protonmail.com>
- Update to 15.1.2
  * 49 glyph corrections and improvements
* Wed Sep 13 2023 Gordon Leung <pirateclip@protonmail.com>
- Update to 15.1.1
  * 128 PUA characters added from BabelStone Han PUA version 1.357
  * 193 PUA characters removed (now included in Ext. I)
  * 5 new IDC characters added
  * 786 Latin letters and non-Han symbols removed (due to the 65,535 glyph limit on TrueType fonts)
  * Glyph corrections and glyph improvements for 337 CJK unified ideographs
* Fri Jan  6 2023 Gordon Leung <pirateclip@protonmail.com>
- update: 15.0.4 -> 15.0.5
  * Change license ID from SUSE-Arphic to Arphic-1999
  * 179 additional CJK unified ideographs
  * 7 PUA characters added from BabelStone Han PUA version 1.320
  * 10 duplicate PUA characters removed and about 60 PUA characters removed (now supported as IVS sequences)
* Sun Nov 13 2022 Gordon Leung <pirateclip@protonmail.com>
  update: 8.0.2 -> 15.0.4
- Added lots of new glyphs
  * See: https://www.babelstone.co.uk/Fonts/Han_Versions.html
* Sat Dec 12 2015 p.drouand@gmail.com
- Update to version 8.0.2
  * More glyph corrections
  * 5 additional CJK-B characters.
- Changes from version 8.0.1
  * 269 CJK-A characters
  * 428 CJK-B characters
  * 97 CJK-C characters
  * 209 CJK-E characters
  * 1,671 PUA characters added from BabelStone Han PUA
  * Various glyph corrections.
* Tue Oct 27 2015 p.drouand@gmail.com
- Update to version 8.0.0
  * 9 characters added to the end of the main CJK block
  * 115 CJK-A characters
  * 363 CJK-B characters
  * 30 CJK-C characters
  * 1,125 CJK-E characters
  * 194 PUA characters removed.
* Thu Oct 17 2013 pgajdos@suse.com
- initial version 1.11
